package com.bonus.sgzb.base.mapper;

import com.bonus.sgzb.base.domain.BmProjectInfo;
import com.bonus.sgzb.base.domain.BmProjectLot;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BmProjectLotMapper {
    public List<BmProjectLot> getProjectLotAll(BmProjectLot bmProjectLot);

    public int projectLotAdd(BmProjectLot bmProjectLot);

    public void remove(Long[] proIds);

    public int updateBmProjectLot(BmProjectLot bmProjectLot);

    public int deleteProjectLotById(Long lotId);
}
